Package org.apache.sling.scripting.sightly.impl.engine

# Class SightlyScriptEngineFactory

java.lang.Object
org.apache.sling.scripting.api.AbstractScriptEngineFactory
org.apache.sling.scripting.sightly.impl.engine.SightlyScriptEngineFactory

All Implemented Interfaces:
  `ScriptEngineFactory`

public class SightlyScriptEngineFactory extends org.apache.sling.scripting.api.AbstractScriptEngineFactory
HTL template engine factory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION`
`static final String`
`SHORT_NAME`

## Constructor Summary

Constructors
Constructor
Description
`SightlyScriptEngineFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext bundleContext)`
`void`
`deactivate()`
`SightlyEngineConfiguration`
`getConfiguration()`
`String`
`getLanguageName()`
`String`
`getLanguageVersion()`
`ScriptEngine`
`getScriptEngine()`

### Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHORT_NAME

public static final String SHORT_NAME

See Also:
  - Constant Field Values

### EXTENSION

public static final String EXTENSION

See Also:
  - Constant Field Values

## Constructor Details

### SightlyScriptEngineFactory

public SightlyScriptEngineFactory()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext bundleContext)

### deactivate

public void deactivate()

### getLanguageName

public String getLanguageName()

### getLanguageVersion

public String getLanguageVersion()

### getScriptEngine

public ScriptEngine getScriptEngine()

### getConfiguration

public SightlyEngineConfiguration getConfiguration()